package cz.moneta.test.harness.connectors.web;

import cz.moneta.test.harness.support.web.Lookup;

public class Frames {

    private final SeleniumWebConnector connector;

    public Frames(SeleniumWebConnector connector) {
        this.connector = connector;
    }

    public void switchToFrame(String frame, Lookup lookup) {
        connector
                .getDriver()
                .switchTo().frame(connector.waits().waitForLazyElement(frame, lookup));
    }

}
